--- old/usr/src/uts/common/fs/zfs/vdev_label.c	Mon Aug  5 21:59:10 2013
+++ new/usr/src/uts/common/fs/zfs/vdev_label.c	Mon Aug  5 21:59:10 2013
@@ -291,6 +291,11 @@
 			    vd->vdev_removing) == 0);
 	}
 
+	if (flags & VDEV_CONFIG_L2CACHE)
+		/* indicate that we support L2ARC persistency */
+		VERIFY(nvlist_add_boolean_value(nv,
+		    ZPOOL_CONFIG_L2CACHE_PERSISTENT, B_TRUE) == 0);
+
 	if (vd->vdev_dtl_smo.smo_object != 0)
 		VERIFY(nvlist_add_uint64(nv, ZPOOL_CONFIG_DTL,
 		    vd->vdev_dtl_smo.smo_object) == 0);
